
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_uninterruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Cc: "David S. Miller" <davem@davemloft.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/sbus/char/bpp.c     |    3 +--
 drivers/sbus/char/vfc_i2c.c |    3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN drivers/sbus/char/bpp.c~drivers-sbus-fix-up-schedule_timeout-usage drivers/sbus/char/bpp.c
--- devel/drivers/sbus/char/bpp.c~drivers-sbus-fix-up-schedule_timeout-usage	2005-09-11 02:06:29.000000000 -0700
+++ devel-akpm/drivers/sbus/char/bpp.c	2005-09-11 02:06:29.000000000 -0700
@@ -295,8 +295,7 @@ static unsigned short get_pins(unsigned 
 
 static void snooze(unsigned long snooze_time, unsigned minor)
 {
-	set_current_state(TASK_UNINTERRUPTIBLE);
-	schedule_timeout(snooze_time + 1);
+	schedule_timeout_uninterruptible(snooze_time + 1);
 }
 
 static int wait_for(unsigned short set, unsigned short clr,
diff -puN drivers/sbus/char/vfc_i2c.c~drivers-sbus-fix-up-schedule_timeout-usage drivers/sbus/char/vfc_i2c.c
--- devel/drivers/sbus/char/vfc_i2c.c~drivers-sbus-fix-up-schedule_timeout-usage	2005-09-11 02:06:29.000000000 -0700
+++ devel-akpm/drivers/sbus/char/vfc_i2c.c	2005-09-11 02:06:29.000000000 -0700
@@ -81,8 +81,7 @@ int vfc_pcf8584_init(struct vfc_dev *dev
 
 void vfc_i2c_delay_no_busy(struct vfc_dev *dev, unsigned long usecs) 
 {
-	set_current_state(TASK_UNINTERRUPTIBLE);
-	schedule_timeout(usecs_to_jiffies(usecs));
+	schedule_timeout_uninterruptible(usecs_to_jiffies(usecs));
 }
 
 void inline vfc_i2c_delay(struct vfc_dev *dev) 
_
